package org.jutils.collection;
import java.util.*;

/**
 * Provides a simple object : an empty, immutable list.
 * Creation date: (13.11.2000 17:35:35)
 * @author: Michael Winkler
 */
public class EmptyList implements List {

   private static EmptyList instance_= null;



   /**
    * EmptyList constructor comment.
    */
   private EmptyList() {
      super();
   }



   /**
    * @see java.util.List
    */
   public void add(int index, Object element) {
   }



   /**
    * @see java.util.Collection
    */
   public boolean add(Object o) {
      return false;
   }



   /**
    * @see java.util.List
    */
   public boolean addAll(int index, Collection c) {
      return false;
   }



   /**
    * @see java.util.Collection
    */
   public boolean addAll(Collection c) {
      return false;
   }



   /**
    * @see java.util.Collection
    */
   public void clear() {
   }



   /**
    * @see java.util.Collection
    */
   public boolean contains(Object o) {
      return false;
   }



   /**
    * @see java.util.Collection
    */
   public boolean containsAll(Collection c) {
      return false;
   }



   /**
    * @see java.util.List
    */
   public Object get(int index) {
      return null;
   }



   /**
    * @see java.util.List
    */
   public int indexOf(Object o) {
      return -1;
   }



   /**
    * Insert the method's description here.
    * Creation date: (13.11.2000 17:37:11)
    * @return org.jutils.collection.EmptyList
    */
   public static EmptyList instance() {
      if (instance_ == null) {
         instance_= new EmptyList();
      }
      return instance_;
   }



   /**
    * @see java.util.Collection
    */
   public boolean isEmpty() {
      return true;
   }



/**
 * @see java.util.Collection
 */
public Iterator iterator() {
   return GenericIterator.EMPTY_ITERATOR;
}



   /**
    * @see java.util.List
    */
   public int lastIndexOf(Object o) {
      return -1;
   }



   /**
    * @see java.util.List
    */
   public ListIterator listIterator() {
      return null;
   }



   /**
    * @see java.util.List
    */
   public ListIterator listIterator(int index) {
      return null;
   }



   /**
    * @see java.util.List
    */
   public Object remove(int index) {
      return null;
   }



   /**
    * @see java.util.Collection
    */
   public boolean remove(Object o) {
      return false;
   }



   /**
    * @see java.util.Collection
    */
   public boolean removeAll(Collection c) {
      return false;
   }



   /**
    * @see java.util.Collection
    */
   public boolean retainAll(Collection c) {
      return false;
   }



   /**
    * @see java.util.List
    */
   public Object set(int index, Object element) {
      return null;
   }



   /**
    * @see java.util.Collection
    */
   public int size() {
      return 0;
   }



   /**
    * @see java.util.List
    */
   public List subList(int fromIndex, int toIndex) {
      return this;
   }



   /**
    * @see java.util.Collection
    */
   public java.lang.Object[] toArray() {
      return null;
   }



   /**
    * @see java.util.Collection
    */
   public java.lang.Object[] toArray(java.lang.Object[] a) {
      return a;
   }
}
